# $Revision: 1.31 $, $Date: 2011/09/11 14:45:11 $
#
# Conditional build:
%bcond_without	guile	# disable scheme/guile configuration file style
#
Summary:	Binds keys or mouse buttons to shell commands under X
Summary(pl.UTF-8):	Przypisywanie poleceniom powłoki przycisków myszy lub klawiatury pod X
Name:		xbindkeys
Version:	1.8.5
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.nongnu.org/xbindkeys/%{name}-%{version}.tar.gz
# Source0-md5:	4b66a05594dbc6888c0a6439351aa66d
URL:		http://www.nongnu.org/xbindkeys/xbindkeys.html
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_guile:BuildRequires:	guile-devel}
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xbindkeys is a program that allows you to launch shell commands with
your keyboard or mouse under X11. It links commands to keys or mouse
buttons using a simple configuration file, and is independant of the
window manager. 

%description -l pl.UTF-8
xbindkeys jest programem, który pozwala na uruchamianie poleceń
powłoki przy użyciu klawiatury lub myszki pod X11. Xbindkeys
przypisuje polecenia przyciskom za pomocą prostego pliku
konfiguracyjnego, niezależnie od zarządcy okien. Pozwala na
przechwytywanie takich przycisków jak POWER czy WAKE na klawiaturze.

%package xbindkeys_show
Summary:	Program to show the grabbing keys used in xbindkeys
Summary(pl.UTF-8):	Program pokazujący przyciski obsługiwane przez xbindkeys
Group:		X11/Applications
Requires:	%{name}
Requires:	tk

%description xbindkeys_show
xbindkeys_show is a Tk program that shows the grabbing keys used in
xbindkeys.

%description xbindkeys_show -l pl.UTF-8
xbindkeys_show jest programem w Tk, który pokazuje przyciski
obsługiwane aktualnie przez xbindkeys.

%prep
%setup -q

touch config.rpath

%build
rm -f aclocal.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x \
	%{!?with_guile: --disable-guile}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/xbindkeys
%{_mandir}/man1/xbindkeys.1*

%files xbindkeys_show
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xbindkeys_show
%{_mandir}/man1/xbindkeys_show.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xbindkeys.spec,v $
Revision 1.31  2011/09/11 14:45:11  arekm
- rel 3

Revision 1.30  2011/09/11 14:05:45  arekm
- release 2

Revision 1.29  2011/04/02 13:37:11  charles
- updated URL

Revision 1.28  2011/03/17 20:58:35  charles
- rm -aclocal.patch (fixes from upstream)

Revision 1.27  2011/03/17 20:55:25  charles
- updated to 1.8.5

Revision 1.26  2009/09/21 21:07:52  charles
- up to 1.8.3

Revision 1.25  2008/09/29 21:22:27  draenog
- fix for new aclocal

Revision 1.24  2008/05/10 18:22:10  qboosh
- split bugfix

Revision 1.23  2008-05-10 17:24:31  draenog
- move xbindkeys_show to separate package

Revision 1.22  2008-05-10 16:40:31  draenog
- guile bcond

Revision 1.21  2008-05-10 15:21:39  draenog
- english description fixed

Revision 1.20  2007-04-19 09:52:30  rotom
- up to 1.8.2

Revision 1.19  2007/04/03 21:32:44  rotom
- up to 1.8.1

Revision 1.18  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.16  2007/01/20 09:09:16  charles
- updated to 1.8.0

Revision 1.15  2007/01/05 08:55:19  rotom
- 1.7.4
- now configuration files are reloaded on the fly when they have changed

Revision 1.14  2006/10/13 10:41:32  qboosh
- ac >= 2.59-9 to avoid libXt BR

Revision 1.13  2006/10/12 12:32:45  megabajt
- modular xorg deps
- rel. 2

Revision 1.12  2006/05/28 08:38:26  charles
- updated to 1.7.3 (minor bugfixes)

Revision 1.11  2006/05/19 12:00:22  jasw
- up to 1.7.2

Revision 1.10  2004/08/21 00:01:51  havner
- BR: xbindkeys-devel

Revision 1.9  2004/05/20 21:18:55  undefine
- update to 1.7.1

Revision 1.8  2003/05/28 13:03:02  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/21 22:17:51  qboosh
- pl fixes, BR: libtool

Revision 1.5  2003/02/02 12:37:55  krolik
- added polish Summary description
- fixed small misprint in polish description

Revision 1.4  2003/01/31 16:01:37  kloczek
- minor changes in Summary and %description.

Revision 1.3  2003/01/31 13:34:17  krolik
- added pl description

Revision 1.2  2003/01/26 10:05:14  mwinkler
- some fixes after lost connection
- need some polish translations
- it works

Revision 1.1  2003/01/26 09:43:28  mwinkler
- lost connection ;/
